Get all active enrollments for a user
curl --request GET \
--url https://api.alpha-1edtech.ai/edubridge/enrollments/user/{userId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.alpha-1edtech.ai/edubridge/enrollments/user/{userId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.alpha-1edtech.ai/edubridge/enrollments/user/{userId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "123",
"beginDate": "<string>",
"endDate": "<string>",
"course": {
"id": "<string>",
"title": "<string>",
"metadata": {},
"subjects": [
"<string>"
],
"grades": [
"<string>"
],
"primaryApp": {
"id": "<string>",
"name": "<string>",
"domains": [
"<string>"
]
}
},
"school": {
"id": "<string>",
"name": "<string>"
},
"testOutSupported": true,
"testOutEligible": true,
"metadata": {
"goals": {
"dailyXp": 123,
"dailyLessons": 123,
"dailyActiveMinutes": 123,
"dailyAccuracy": 123,
"dailyMasteredUnits": 123
},
"metrics": {
"totalXp": 123,
"totalLessons": 123,
"totalGrades": 123,
"courseType": "<string>",
"isSupplemental": true
}
}
}
]
}Enrollments
Get all active enrollments for a user
Returns a simplified, course-centric view of all active enrollments for a user.
This endpoint abstracts away the complex OneRoster academic hierarchy, providing a streamlined representation that focuses on what courses the user is enrolled in rather than details about classes, sections, and academic sessions.
The response includes essential course information without the need to navigate multiple relationship levels.
GET
/
edubridge
/
enrollments
/
user
/
{userId}
Get all active enrollments for a user
⌘I